<?php

namespace App\Controller\Site;

use App\Entity\Site\Page;
use EasyCorp\Bundle\EasyAdminBundle\Field\FormField;
use EasyCorp\Bundle\EasyAdminBundle\Field\NumberField;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextField;
use Lc\CaracoleBundle\Controller\AbstractAdminController;
use Lc\SovBundle\Field\CKEditorField;
use Lc\SovBundle\Field\StatusField;

class PageAdminController extends AbstractAdminController
{
    public static function getEntityFqcn(): string
    {
        return Page::class;
    }

    public function configureFields(string $pageName): iterable
    {
        $panel = parent::configureFields($pageName);

        return array_merge(
                [
                        FormField::addPanel('general'),
                        TextField::new('title'),
                        NumberField::new('position')->hideOnForm(),
                        StatusField::new('status'),
                        CKEditorField::new('description'),
                ],
                $panel
        );
    }


}
